export declare const defaultUpdateCallbackStr = "function (particle, dt) {\n    const gravityVector = new Cesium.Cartesian3();\n    const gravity = -(9.8 * 9.8);\n    // Compute a local up vector for each particle in geocentric space.\n    const position = particle.position;\n\n    Cesium.Cartesian3.normalize(position, gravityVector);\n    Cesium.Cartesian3.multiplyByScalar(\n        gravityVector,\n        gravity * dt,\n        gravityVector\n    );\n\n    particle.velocity = Cesium.Cartesian3.add(particle.velocity, gravityVector, particle.velocity);\n}\n";
