import { HasOwner } from "vtxf-renderer/dist-node/xr-base-utils";
import { ProjectManager } from "./ProjectManager";
import { PickedInfo, SceneObjectPickedInfo, Viewer } from "vtxf-xe2/dist-node/xe2-base-objects";
export declare type ViewerPickedResultType = {
    sceneObjectPickedInfo?: SceneObjectPickedInfo;
    nativePickedInfo?: PickedInfo;
    czmPickedResult?: any;
    attachedInfo?: any;
};
export declare class ViewerPicking extends HasOwner<ProjectManager> {
    debug: boolean;
    constructor(owner: ProjectManager);
    viewerPick(viewer: Viewer, windowPos: [number, number], attachedInfo: any): Promise<ViewerPickedResultType | undefined>;
}
